## empty-expect 0.6.14b

=== Makefile ===
#
# Makefile for empty
#
# Usage:
# 	make all install clean
# or
# 	make `uname -s` install clean
# or 
# 	make `uname -s`-gcc install clean
#


CC =	gcc
LIBS =	-lutil

all:
	${CC} ${CFLAGS} -Wall ${LIBS} -o empty empty.c

FreeBSD:	all
NetBSD:		all
OpenBSD:	all

Linux:		all
Cygwin:		all

UnixWare:	SunOS
OpenUNIX:	SunOS
AIX:		SunOS
OSF1:		SunOS
HP-UX:		SunOS
SunOS:
	cc -o empty empty.c

UnixWare-gcc:	SunOS-gcc
OpenUNIX-gcc:	SunOS-gcc
HP-UX-gcc:	SunOS-gcc
SunOS-gcc:
	gcc ${CFLAGS} -Wall -o empty empty.c

install:
	[ -f `which strip` ] && strip empty
	cp empty /usr/local/bin
	cp empty.1 /usr/local/man/man1
deinstall:
	rm /usr/local/bin/empty
	rm /usr/local/man/man1/empty.1
uninstall:	deinstall

clean:
	rm empty

## empty-expect 0.6.15b

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 CC =	gcc
 LIBS =	-lutil
+
+PREFIX = /usr/local
 
 all:
 	${CC} ${CFLAGS} -Wall ${LIBS} -o empty empty.c
@@ -39,11 +41,11 @@
 
 install:
 	[ -f `which strip` ] && strip empty
-	cp empty /usr/local/bin
-	cp empty.1 /usr/local/man/man1
+	[ -d ${PREFIX}/bin ] && cp empty /usr/local${PREFIX}/bin || mkdir -p ${PREFIX}/bin && cp empty ${PREFIX}/bin
+	[ -d ${PREFIX}/man/man1 ] && cp empty.1 ${PREFIX}/man/man1 || mkdir -p ${PREFIX}/man/man1 && cp empty.1 ${PREFIX}/man/man1
 deinstall:
-	rm /usr/local/bin/empty
-	rm /usr/local/man/man1/empty.1
+	rm ${PREFIX}/bin/empty
+	rm ${PREFIX}/man/man1/empty.1
 uninstall:	deinstall
 
 clean:

## empty-expect 0.6.18b

=== debian/changelog ===
empty-expect (0.6.18b-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/rules: Added CFLAGS=-g to avoid -O2.  Closes: #611912.
  * debian/patches/03_makefile.diff: Set PREFIX to $(DESTDIR)/usr, don't use
    the "install" rule, and fix the clean rule (rm -f ...).
  * debian/patches/04_bufsiz.diff: Added.  Fixes "warning: array subscript is
    above array bounds".

 -- Bart Martens <bartm@debian.org>  Sun, 28 Aug 2011 06:42:07 +0000

empty-expect (0.6.18b-2) unstable; urgency=low

  * debian/patches/01_logfile.diff: Moved existing change to a patch file.
  * debian/patches/02_typos.diff: Added.  Fixes typos.  Closes: #521656.

 -- Bart Martens <bartm@debian.org>  Thu, 29 Oct 2009 17:29:34 +0100

empty-expect (0.6.18b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Thu, 06 Aug 2009 21:37:34 +0200

empty-expect (0.6.17b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sat, 02 May 2009 17:41:07 +0200

empty-expect (0.6.16b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Wed, 31 Dec 2008 20:26:47 +0100

empty-expect (0.6.15b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sat, 02 Feb 2008 08:34:02 +0100

empty-expect (0.6.14b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Wed, 05 Dec 2007 22:35:28 +0100

empty-expect (0.6.12b-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 04 Nov 2007 18:47:14 +0100

empty-expect (0.6.11b-3) unstable; urgency=low

  * empty.1, empty.c: Changed default mode of the log file from 0700 to 0600,
    and added option "--logfile-mode=mode".  Closes: #443448.

 -- Bart Martens <bartm@knars.be>  Sun, 23 Sep 2007 08:54:08 +0200

empty-expect (0.6.11b-2) unstable; urgency=low

  * debian/changelog, debian/control: Source and binary package renamed as
    requested by ftpmaster.

 -- Bart Martens <bartm@knars.be>  Thu, 02 Aug 2007 19:11:25 +0200

empty (0.6.11b-1) unstable; urgency=low

  * Initial release.  Closes: #433844.

 -- Bart Martens <bartm@knars.be>  Thu, 19 Jul 2007 20:49:02 +0200

=== debian/control ===
Source: empty-expect
Section: interpreters
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://empty.sourceforge.net/

Package: empty-expect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run processes and applications under pseudo-terminal
 empty is a utility that provides an interface to execute and/or interact with
 processes under pseudo-terminal sessions (PTYs). This tool is useful in
 programming of shell scripts designed to communicate with interactive programs
 like telnet, ssh, ftp, etc. In some cases empty can be the simplest
 replacement for Tcl/expect or other similar programming tools because empty
 can be easily invoked directly from shell prompt or script, and does not use
 Tcl, Perl, PHP, Python or anything else as an underlying language.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# see #611912, no -O2
CFLAGS= -g

%:
	dh $@

## empty-expect 0.6.19b

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 install:
 	[ -f `which strip` ] && strip empty
-	[ -d ${PREFIX}/bin ] && cp empty /usr/local${PREFIX}/bin || mkdir -p ${PREFIX}/bin && cp empty ${PREFIX}/bin
+	[ -d ${PREFIX}/bin ] && cp empty ${PREFIX}/bin || mkdir -p ${PREFIX}/bin && cp empty ${PREFIX}/bin
 	[ -d ${PREFIX}/man/man1 ] && cp empty.1 ${PREFIX}/man/man1 || mkdir -p ${PREFIX}/man/man1 && cp empty.1 ${PREFIX}/man/man1
 deinstall:
 	rm ${PREFIX}/bin/empty

=== debian/changelog ===
empty-expect (0.6.19b-1ubuntu1) raring; urgency=low

  * Merge from Debian Remaining changes:
    - Update 03_makefile.diff to place libs in the correct place. Fixes
      FTBFS. (LP: #770753)
  * debian/patches/05_ldflags.diff: Updated. Place libs in the correct
    place. Fixes quilt push -a failure.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Mon, 26 Nov 2012 18:18:45 +0100

empty-expect (0.6.19b-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/compat: Standards-Version 3.9.4, debhelper 9.
  * debian/rules: Use dpkg-buildflags for hardening, remove -O2 for #611912.
  * debian/patches/05_ldflags.diff: Added.  Fixes hardening-no-relro.

 -- Bart Martens <bartm@debian.org>  Sun, 28 Oct 2012 17:11:10 +0000

empty-expect (0.6.18b-3ubuntu1) oneiric; urgency=low

  * Update 03_makefile.diff to place libs in the correct place. Fixes
    FTBFS. (LP: #770753)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 13 Sep 2011 17:31:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: empty-expect
 Section: interpreters
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bart Martens <bartm@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://empty.sourceforge.net/
 
 Package: empty-expect

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# see #611912, no -O2
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS | sed -e "s/-O2 //")

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://sf.net/empty/empty[\-_](v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## empty-expect 0.6.20b

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #
 
 
-CC =	gcc
+CC =	cc
 LIBS =	-lutil
 
 PREFIX = /usr/local

=== debian/changelog ===
empty-expect (0.6.20b-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Update 03_makefile.diff to place libs in the correct place. Fixes
      FTBFS.
      (Seems like a ubuntu only change as it builds fine in debian).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Jan 2017 13:04:40 +0530

empty-expect (0.6.20b-1) unstable; urgency=medium

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 12 Aug 2016 17:56:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bart Martens <bartm@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://empty.sourceforge.net/
 
 Package: empty-expect
